> ## Documentation Index > Fetch the complete documentation index at: https://developer.rocket.chat/llms.txt > Use this file to discover all available pages before exploring further. # Get Latest Import Operations > Get latests import operations. Permission required: `view-import-operations` ### Changelog | Version | Description | | ---------------- | ------------| |3.0.0 | Added | ## OpenAPI ````json GET /api/v1/getLatestImportOperations { "openapi": "3.0.0", "info": { "version": "1.0.0", "title": "Settings" }, "servers": [ { "url": "https://apiexplorer.support.rocket.chat" } ], "tags": [ { "name": "Settings" }, { "name": "Audit" }, { "name": "Cloud" }, { "name": "DNS" }, { "name": "E2E" }, { "name": "Import" }, { "name": "Bulk User Import" }, { "name": "Instances" }, { "name": "Federation" }, { "name": "Moderation" }, { "name": "Device Management" }, { "name": "Password policy" }, { "name": "Video Conference" }, { "name": "Media Calls" } ], "paths": { "/api/v1/getLatestImportOperations": { "parameters": [], "get": { "summary": "Get Latest Import Operations", "tags": [ "Import" ], "responses": { "200": { "description": "OK", "content": { "application/json": { "schema": { "type": "array", "items": { "type": "object", "properties": { "_id": { "type": "string" }, "type": { "type": "string" }, "importerKey": { "type": "string" }, "ts": { "type": "integer" }, "status": { "type": "string" }, "valid": { "type": "boolean" }, "user": { "type": "string" }, "_updatedAt": { "type": "string" } } } }, "examples": { "Success": { "value": [ { "_id": "MJxTRZsYdho8Ww2qq", "type": "Pending Avatars", "importerKey": "pending-avatars", "ts": "1635280600083", "status": "importer_user_selection", "valid": "false", "user": "d26x6zSkaPSe5gCyy", "_updatedAt": "2021-10-27T11:26:24.43Z" }, { "_id": "YzSCu9WgqJ3wutF4T", "type": "Pending Files", "importerKey": "pending-files", "ts": "1635280596592", "status": "importer_done", "valid": "false", "user": "d26x6zSkaPSe5gCyy", "_updatedAt": "2021-10-27T08:32:42.609Z" }, { "_id": "96WJDaxXpwXC3fTD5", "type": "Pending Files", "importerKey": "pending-files", "ts": "1635277590992", "status": "importer_user_selection", "valid": "false", "user": "d26x6zSkaPSe5gCyy", "_updatedAt": "2021-10-27T08:32:42.609Z" }, { "_id": "zYc5kuFRaszfqCegB", "type": "Pending Avatars", "importerKey": "pending-avatars", "ts": "1635277492185", "status": "importer_done", "valid": "false", "user": "d26x6zSkaPSe5gCyy", "_updatedAt": "2021-10-27T08:32:42.609Z" }, { "_id": "XckCNn9ZsdywHso4f", "type": "Pending Avatars", "importerKey": "pending-avatars", "ts": "1635277452755", "status": "importer_done", "valid": "false", "user": "d26x6zSkaPSe5gCyy", "_updatedAt": "2021-10-27T08:32:42.609Z" } ] } } } } }, "401": { "$ref": "#/components/responses/authorizationError" }, "403": { "$ref": "#/components/responses/forbiddenError" } }, "operationId": "get-api-v1-getLatestImportOperations", "description": "Get latests import operations.\nPermission required: `view-import-operations`\n### Changelog\n| Version | Description |\n| ---------------- | ------------|\n|3.0.0 | Added |", "parameters": [ { "$ref": "#/components/parameters/X-User-Id" }, { "$ref": "#/components/parameters/X-Auth-Token" } ] } } }, "components": { "responses": { "authorizationError": { "description": "Unauthorized", "content": { "application/json": { "schema": { "type": "object", "properties": { "status": { "type": "string" }, "message": { "type": "string" } } }, "examples": { "Authorization Error": { "value": { "status": "error", "message": "You must be logged in to do this." } } } } } }, "forbiddenError": { "description": "Forbidden", "content": { "application/json": { "schema": { "type": "object", "properties": { "success": { "type": "boolean" }, "error": { "type": "string" } } }, "examples": { "Permission Error": { "value": { "success": "false", "error": "User does not have the permissions required for this action [error-unauthorized]" } } } } } } }, "parameters": { "X-User-Id": { "name": "X-User-Id", "in": "header", "required": "true", "schema": { "type": "string" }, "example": "CkCPNctrgCDfmWLqC", "description": "The user ID." }, "X-Auth-Token": { "name": "X-Auth-Token", "in": "header", "required": "true", "schema": { "type": "string" }, "example": "1Dd4iN_ClKn5jl-xPC36snQ4s9Zd5GZnXCQuCNSKcVE", "description": "The authentication token." } } } } ````